The NumberJack Jun 3, 2013 @ 7:57am
Knights of the Old Republic (Mac)
I have a 6 year old MacBook that still works like new and it's running 10.5.8 and the minimum to update to Mountain Lion is 10.6.8.... How can I run KOTOR on this whitout having to buy a new computer?
Showing 1-7 of 7 comments
< >
km.seiler Aug 10, 2013 @ 1:29pm 
Bump! I have the same issue, but I have an iMac 5, intel based. I would update, but Rosetta won't play a lot of my old games (Age of Empires 2, for example).
Matty Ice Dec 23, 2013 @ 8:17pm 
i would gladly buy it off of you
XyZ Dec 23, 2013 @ 10:28pm 
What?
RZKY Dec 24, 2013 @ 9:13am 
i don't have a solution right now. but if you have an iPad. you can get the iOS version instead.

https://itunes.apple.com/id/app/star-wars-knights-old-republic/id611436052?mt=8

sorry if that doesn't help :P
The NumberJack Mar 3 @ 4:36pm 
I ended up building a pc :3 it runs soooooo niceeeeee
Aspyr-Blair Mar 4 @ 3:10pm 
Pretty sure it wont launch, but honestly we havent even looked at 10.5 in ages.
Janichsan Mar 5 @ 12:26am 
Look here[www.amazon.com]. That version runs on Leopard.
Last edited by Janichsan; Mar 5 @ 12:26am
Showing 1-7 of 7 comments
< >
Per page: 15 30 50
Date Posted: Jun 3, 2013 @ 7:57am
Posts: 7